Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface Tag

All Known Subinterfaces:
  ParamTag, SeeTag, SerialFieldTag, ThrowsTag

public abstract interface Tag
extends java.io.Serializable

Represents a documentation tag, e.g. @since, @author, @version. Given a tag (e.g. "@since 1.2"), holds tag name (e.g. "@since") and tag text (e.g. "1.2"). Tags with structure or which require special processing are handled by subclasses (ParamTag, SeeTag, and ThrowsTag.

See Also:
  `SeeTag`, `ParamTag`, `ThrowsTag`, `Doc.tags()`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`Tag[]` | `firstSentenceTags()` Return the first sentence of the comment as tags.
`Tag[]` | `inlineTags()` For documentation comment with embedded @link tags, return the array of Tags consisting of SeeTag(s) and text containing Tag(s).
`java.lang.String` | `kind()` Return the kind of this tag.
`java.lang.String` | `name()` Return the name of this tag.
`java.lang.String` | `text()` Return the text of this tag, that is, portion beyond tag name.
`java.lang.String` | `toString()` convert this object to a string.

Method Detail

### name

    public java.lang.String name()

  Return the name of this tag.

### kind

    public java.lang.String kind()

  Return the kind of this tag.

### text

    public java.lang.String text()

  Return the text of this tag, that is, portion beyond tag name.

### toString

    public java.lang.String toString()

  convert this object to a string.
  Overrides:
    toString in class java.lang.Object

### inlineTags

    public Tag[] inlineTags()

  For documentation comment with embedded @link tags, return the array of Tags consisting of SeeTag(s) and text containing Tag(s). Within a comment string "This is an example of inline tags for a documentaion comment {@link Doc commentlabel}", where inside the inner braces, the first "Doc" carries exctly the same syntax as a SeeTag and the second "commentlabel" is label for the Html Link, will return an array of Tag(s) with first element as Tag with comment text "This is an example of inline tags for a documentation comment" and second element as SeeTag with referenced class as "Doc" and the label for the Html Link as "commentlabel".
  Returns:
    Tag[] Array of tags with inline SeeTags.
  See Also:
    `ParamTag`, `ThrowsTag`

### firstSentenceTags

    public Tag[] firstSentenceTags()

  Return the first sentence of the comment as tags. Includes inline tags (i.e. {@link reference} tags) but not regular tags. Each section of plain text is represented as a `Tag` of kind "Text". Inline tags are represented as a `SeeTag` of kind "link". First sentence is determined by `java.text.BreakIterator#getSentenceInstance(Locale)`.
  Returns:
    an array of `Tag`s representing the first sentence of the comment

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD